| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Gaudi::HistogramBase Class Reference

`#include <HistogramSvc/HistogramBase.h>`

Inheritance diagram for Gaudi::HistogramBase:

[legend]
List of all members.

## Detailed Description

Common base class for all histograms Use is solely functional to minimize dynamic_casts inside HistogramSvc.

Author:
  M.Frank

Version:
  1.0

Definition at line 21 of file HistogramBase.h.

## Public Member Functions
virtual TObject * | representation () const=0
| ROOT object implementation.
virtual void | adoptRepresentation (TObject *rep)=0
| Adopt ROOT histogram representation.
virtual std::ostream & | print (std::ostream &s) const =0
| Print histogram to output stream.
virtual std::ostream & | write (std::ostream &s) const =0
| Write (binary) histogram to output stream.
virtual int | write (const char *file_name) const =0
| Write (binary) histogram to file.
virtual | ~HistogramBase ()

## Constructor & Destructor Documentation

virtual Gaudi::HistogramBase::~HistogramBase | ( |  | ) | `[inline, virtual]`

Definition at line 33 of file HistogramBase.h.

    00033 {}

## Member Function Documentation

virtual TObject* Gaudi::HistogramBase::representation | ( |  | ) | const`[pure virtual]`

ROOT object implementation.

Implemented in Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >, Gaudi::Generic2D< INTERFACE, IMPLEMENTATION >, Gaudi::Generic3D< INTERFACE, IMPLEMENTATION >, Gaudi::Generic1D< AIDA::IProfile1D, TProfile >, Gaudi::Generic1D< AIDA::IHistogram1D, TH1D >, Gaudi::Generic2D< IHistogram2D, TH2D >, Gaudi::Generic2D< AIDA::IProfile2D, TProfile2D >, and Gaudi::Generic3D< AIDA::IHistogram3D, TH3D >.

virtual void Gaudi::HistogramBase::adoptRepresentation | ( | TObject * | rep | ) | `[pure virtual]`

Adopt ROOT histogram representation.

Implemented in Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >, Gaudi::Generic2D< INTERFACE, IMPLEMENTATION >, Gaudi::Generic3D< INTERFACE, IMPLEMENTATION >, Gaudi::Histogram1D, Gaudi::Generic1D< AIDA::IProfile1D, TProfile >, Gaudi::Generic1D< AIDA::IHistogram1D, TH1D >, Gaudi::Generic2D< IHistogram2D, TH2D >, Gaudi::Generic2D< AIDA::IProfile2D, TProfile2D >, Gaudi::Generic3D< AIDA::IHistogram3D, TH3D >, and Gaudi::Generic2D< INTERFACE, IMPLEMENTATION >.

virtual std::ostream& Gaudi::HistogramBase::print | ( | std::ostream & | s | ) | const`[pure virtual]`

Print histogram to output stream.

Implemented in Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >, Gaudi::Generic2D< INTERFACE, IMPLEMENTATION >, Gaudi::Generic3D< INTERFACE, IMPLEMENTATION >, Gaudi::Generic1D< AIDA::IProfile1D, TProfile >, Gaudi::Generic1D< AIDA::IHistogram1D, TH1D >, Gaudi::Generic2D< IHistogram2D, TH2D >, Gaudi::Generic2D< AIDA::IProfile2D, TProfile2D >, and Gaudi::Generic3D< AIDA::IHistogram3D, TH3D >.

virtual std::ostream& Gaudi::HistogramBase::write | ( | std::ostream & | s | ) | const`[pure virtual]`

Write (binary) histogram to output stream.

Implemented in Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >, Gaudi::Generic2D< INTERFACE, IMPLEMENTATION >, Gaudi::Generic3D< INTERFACE, IMPLEMENTATION >, Gaudi::Generic1D< AIDA::IProfile1D, TProfile >, Gaudi::Generic1D< AIDA::IHistogram1D, TH1D >, Gaudi::Generic2D< IHistogram2D, TH2D >, Gaudi::Generic2D< AIDA::IProfile2D, TProfile2D >, and Gaudi::Generic3D< AIDA::IHistogram3D, TH3D >.

virtual int Gaudi::HistogramBase::write | ( | const char * | file_name | ) | const`[pure virtual]`

Write (binary) histogram to file.

Implemented in Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >, Gaudi::Generic2D< INTERFACE, IMPLEMENTATION >, Gaudi::Generic3D< INTERFACE, IMPLEMENTATION >, Gaudi::Generic1D< AIDA::IProfile1D, TProfile >, Gaudi::Generic1D< AIDA::IHistogram1D, TH1D >, Gaudi::Generic2D< IHistogram2D, TH2D >, Gaudi::Generic2D< AIDA::IProfile2D, TProfile2D >, and Gaudi::Generic3D< AIDA::IHistogram3D, TH3D >.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/HistogramBase.h